HOWTO run Eclipse 301 + EPIC + Linux

sabitov wrote on Mon Nov 29 06:11:42 CET 2004:
Hello All!

Help me pls to run EPIC under Eclipse 301! It works well under Eclipse 300,
but I realy should to update my eclipse :( 

After update I cannot open any perl file, and I cannot open perl editor

I get this mesg in log:

java.lang.NoClassDefFoundError: cbg/editor/ColoringSourceViewerConfiguration
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(
        at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.defineClass(
        at org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(
        at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClassImpl(
        at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClass(
        at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.findLocalClass(
        at org.eclipse.core.runtime.adaptor.EclipseClassLoader.basicFindLocalClass(
        at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(
        at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(
        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(
        at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(

I tried to use motif and gkt versions of eclipse, stable and testing versions
of EPIC, different versions of jdk (blackdown, sun, 1.5.0), it
doesn't matter, it doesn't work anyway :( 

Note: The above is an archived snapshot of a forum thread. Use the original thread at to post comments.